# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

<!-- insertion marker -->
## [2.0.0](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/tags/2.0.0) - 2024-06-19

- refactor some code and tests
- move all the data pipeline in one run
- add data pipeline for hifis statistics
- implement registry for data pipelines on the CLI
- prefect usage with deployments

## [1.1.0](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/tags/1.1.0) - 2023-10-25

The release v1.1.0 of the data-harvesting python package.
This code base is used for the first unhide release.

The indexer was moved to this package, rewritten and exposed through the CLI, together with some further utility.
An unhide data model was added, as well as the aggregator class and is used throughout all classes.
Further CI features where added, for publishing the software.


### Added

- Add Hermes workflow for zenodo upload to repo. ([8e98746](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/8e9874684a7c3645a7695acf5299fbe8a95a6f44) by Jens Bröder).
- Add and enable somesy on repository. ([75fd033](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/75fd03334cd80ace0ca25a887c55d2652eebf9ba) by Jens Bröder).
- Add exception to upload cli command, fix python version, make pre-commit happy. ([53f2888](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/53f2888804671e9366c6395921a05a95c765fcc0) by Jens Bröder).
- Add sparql update name to patch metadata, precommit and test corrections. ([aadf7b4](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/aadf7b4eae2788607302305ff968f7e83a41d23e) by Jens Bröder).
- Add upload data to jena i.e triple store examples. ([5e55b5b](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/5e55b5b3273660831175efc8747957fc7287ae24) by Jens Bröder).
- Add test for sparql_utility to apply sparql updates from files. ([158cbe8](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/158cbe895e376a6df3759221669fd9e4a3834a20) by Jens Bröder).
- Add utility functions to port all json data to unhide data ([5281542](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/5281542f7ef145ff374d9381048afd8b7d5fe277) by Jens Bröder).
- Add solr config files from unhide-ui. ([ce2adf5](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/ce2adf530b9ffa6d04cb5ef3ede8068f38da899a) by Jens).
- Add workaround for list in jsonfiles for correct keywords. ([9153942](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/9153942179e1236ecb528b1e14d71778d6668a39) by Jens Bröder).
- Add indexer cli part to hmc-unhide cli. ([05cea49](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/05cea49acda56e02551927d3ef2cb21c5f64b9b1) by Jens Bröder).
- Add functionality to correct keywords of datacite data ([4a949e4](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/4a949e4b851a9afddcc207b3a9262fdbf9bcba75) by Jens Bröder).
- Add publishing to pypi to CI script ([8576fb5](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/8576fb551839ab9330647e8d08cf3fcecb956550) by Jens Bröder).
- Add metadata to peotry specific section ([4fddf4f](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/4fddf4f258463c4e83a175027c91763fcfc2eae5) by Jens Bröder).
- Added data correspoding to multiple orgs ([6ea38d7](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/6ea38d783ab28c2d9d24a30ac944cc2d4f5d7fbf) by Pedro Videgain Barranco).
- Added scripts and data corresponding to single orgs ([a70847b](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/a70847bbc1e2150d50f4f92aca7612999e0cfc86) by Pedro Videgain Barranco).
- Add rdf diff command to CLI and add a query to csv function ([6326b10](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/6326b108e65d92806e45c7e0bcd1b646765a1454) by Jens Bröder).
- Add missing Authors to codemeta.json ([11277fa](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/11277fae135dde51a64420bde05a687eee360940) by Jens Bröder).
- Add CHANGELOG.md which was generated by git-changelog. ([0b287df](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/0b287dfc53584995ce49bf36bde5ba451c998c6a) by Jens).

### Fixed

- fix mypy issue in rdfpatch.py ([9657b3b](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/9657b3b99a72886dd528201ebf99219626fe4e27) by Gabriel Preuß).
- fix pre-commit comments ([d8b2b4d](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/d8b2b4d977f6d7243d4f66e053c002538c7ca88a) by Gabriel Preuß).
- Fix serialization of patches as dicts, and mypy errors. ([c296a20](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/c296a20e7e237fc99e35712385365d2b70d8a7a9) by Jens Bröder).
- Fix some pre-commit issues. ([2dc2354](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/2dc235425a03072aaa406d53ea61604f89f80cf2) by Jens Bröder).
- Fix precommit, ignore imports for pylint dublicate checks. ([9e277f1](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/9e277f131c1f8bb416ad858f4b3726e76476ffba) by Jens Bröder).
- Fix issue #26 and fix pre-commit errors. ([97e77a4](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/97e77a49576e712c86d7aa47ed4b6a5f7691d184) by Jens Bröder).
- Fix bug in indexer in delete request. ([e566fa0](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/e566fa0770528c2d953cd7b15f04b03f05667442) by Jens).
- fix pre-commit  pipeline ([d2edc40](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/d2edc400567e294a8d007a369d212a2aaf8fdff2) by Gabriel Preuß).
- Fix CI publish, adding building step. ([6a0c314](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/6a0c31405be812ebd42ad59a6acca6781a452f47) by Jens Bröder).
- Fix CI publish, adding image... ([0f41713](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/0f417130f483d172379d8a5a4d92dfcf9bbf6b72) by Jens Bröder).
- Fix CI publish, through adding the preparation ([aaac907](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/aaac907ffa2cd0cff1dc10c671eefc66bc4a023b) by Jens Bröder).

### Changed

- Change in indexer, caused problems with docker. ([6e4baeb](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/6e4baeb5c47e57c3b6cbfbd72bf46ca508af9fde) by Jens Bröder).

### Removed

- Remove key patch_format from patch generation. ([84cb816](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/84cb8164ee048601bfe13df365ca04e49fdf0709) by Jens Bröder).
- Remove before script parts in publish CI tasks ([f902824](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/f902824995c5f8a6f53cbffae01813bf8a30b86b) by Jens Bröder).


## [1.0.0](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/tags/1.0.0) - 2023-13-06

This is the first release of the data-harvesting python package.
It contains several Harvester classes which can harvest linked data from the web and are configured by a single config file:

- One for gitlabs
- One for sitemaps
- One for datacite
- One for OAIPMH 

It comes with a CLI (hmc-unhide) to run the harvesters and convert rdf files.
Also it contains first utility to work with rdf data and to enrich and aggregate it.
With this version the data for the first deployed version of the unhide graph was harvested.
(see search.unhide.helmholtz-metadaten.de)

### Added

- add DZNE OAI endpoint fix KIT OAI endpoint ([9b1c98a](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/9b1c98a235d6f13fe405d4cd0bcfbe3fa00285c9) by Gabriel Preuß).
- Add docstring to script add_organizations ([a9b70cc](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/a9b70cc165a9f82148ae58ba3f959f7ca7f75f2e) by Jens Bröder).
- Add script to insert Helmholtz Centers ([3be820e](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/3be820ee6f542cd09989057c015625b619983e64) by Pedro Videgain Barranco).
- Add missing typehints, update dev dependencies to CI versions. ([6909d11](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/6909d1192e37a16fc5c2c1a2f51191279bcab486) by Jens Bröder).
- Add logic to download external schemas for validation. ([9c48869](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/9c48869012d4c0a60964d0f3065466de9029e2dc) by Jens Bröder).
- add FZJ variations to the matching list for Q3 ([a930d71](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/a930d714b6dab4b7395b7dfa7e110ac5d8ee6d9d) by Said Fathalla).
- Add OAI-PMH harvester ([9a3007a](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/9a3007ad4699d14d9534f84fba6926e44412285f) by Gabriel Preuß).
- Add the IRI of the FZJ to the resource in addition to the string affiliation ([ba89106](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/ba89106ce96e655693cb710a81be4e014f83a760) by Said Fathalla).
- Add first test for sparql_update infer person type ([e3e8cce](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/e3e8ccec80631a725259ab2247513d3ae6267f6c) by Jens Bröder).
- Add test data also as ttl file, rename sparql update dir to something without space and lowercode, add utility and first test for spaqrl updates ([a1434ff](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/a1434ff66c5b20a513850e9750dd0a1ee5618578) by Jens Bröder).
- adding SPARQL update scripts to enrich the collected data ([1e0fde0](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/1e0fde0c008d8139f631d7d9fa4a3fc42539ee26) by Said Fathalla).
- Add test data instances for testing purporses. ([bde2859](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/bde285977522770acb8e3a5dd1d8a83162b35b37) by Jens Bröder).
- Add since feature to git harvester. ([dd799d8](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/dd799d84e0c1484a7899f26ddd66bae438eda4e4) by Jens Bröder).
- Add first central config, refactor all harvesters to use this config file In the future this config files should also contain specfic run options to unhide of harvesters, how data is processed and where it is stored ([541f54e](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/541f54e06118d514a65c200fdaad5cb934346463) by Jens Bröder).
- Add a folder for the external schemas to the repo with README ([a8b541b](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/a8b541b8734dabed94c3bd95d3c78730751490e7) by Jens Bröder).
- Add simple function for shacl validation and make cli install work again ([a29122a](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/a29122aa63b21f7df19dd66ece186824bff97acc) by Jens Bröder).
- Add coverage key to gitlab CI to make badge work ([1c9a728](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/1c9a7282632f6dc333f563ac17dd9f569cc2388b) by Jens Bröder).
- Add jsonschema as dependency ([af21af5](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/af21af5f249f670351e1b08e28196096d9bb538e) by Jens Bröder).
- Add test for sitemap harvester ([ef2c94b](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/ef2c94bb8b1e9cd78525f0a7e8aeca34beb23b29) by Jens Bröder).
- Add first version of datacite_harvester to harvest json-ld from datacite ([06e3331](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/06e33313d1ae5640c4e210870573fe78e39fc675) by Jens Bröder).
- Add util to work with json-ld data first version to add uris and types ([a79026a](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/a79026aab6c3e8e4527e676bd10483ce7e85cb66) by Jens Bröder).
- Added sitemaps for some repositories and included a column for the robots.txt files ([e550500](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/e550500a1728173dfa01a76010dec15aecadff2d) by Pedro Videgain Barranco).
- Add old oai harvest example ([fb22f3d](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/fb22f3dcdaa88c1ea24fcf6d9d3a139afa2585d5) by Jens Bröder).
- Add Harvester for Sitemaps and some tests for it ([0c91efb](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/0c91efba58117c1c7eecf2b51186cb859f6b2972) by Jens Bröder).
- Added scripts to parse the rodare sitemap ([22c8bd5](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/22c8bd5c5caf6e99f76af995c92258f29be5934c) by Pedro Videgain Barranco).
- Add first version of a CLI ([2300049](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/2300049f4c7baffa08a386ef04206998cc362a3d) by Jens Bröder).
- Add data sources.csv file to repository ([85b4ecd](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/85b4ecd9d5fddff0adaebe4ff27ec8a0018a5e2c) by Jens Bröder).
- Add first version of gitlab codemeta pipeline and HGF gitlab project lists ([5779530](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/5779530ed039be4bcd5bae32a4b66fd47b0825f7) by Jens Bröder).
- Add apply single JQ mapping and pretty json print ([894547c](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/894547cda8340185cc8d8fa4d025b7e26204702a) by Jens Bröder).
- Add jq mappings for datasets and improve license and organisation mappings ([826716a](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/826716a3161c61f52ba9abb8452bc124b4c1c9e0) by Jens Bröder).
- Add manual mapping of open data commons licenses ([bc319cd](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/bc319cdd62a52893401098d8e24a4030111aa7df) by Jens Bröder).
- Add mapping script for opensource initiative licenses ([6a9d29a](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/6a9d29af24e5541886e2a8defa8967366cc7a499) by Jens Bröder).
- Add mapping and mining script for creative common licenses ([82fd35f](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/82fd35f98576932328c5476e2cbc6160529e2805) by Jens Bröder).
- Add mapping and xml util ([23450a1](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/23450a14d517b29db0e7bca1df21fc54c833b5aa) by Jens Bröder).
- Add scripts to mine and map metadata standards catalog ([8be9e59](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/8be9e599fbadcfef004f9ca47d91bff0453f6454) by Jens Bröder).
- Add functions to generate uuids ([17a6ded](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/17a6dedd4bf4038d23987ab719d49d8b86e275cd) by Jens Bröder).
- Add ROR mapping and example to do so ([ff28af5](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/ff28af5bf87cc38f7700eba067470891775541de) by Jens Bröder).
- Add jq mappings fro opensource licenses, and creative common licenses ([8faf6b6](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/8faf6b66b377e089232fddf2e124238ff6b4c1ad) by Jens Bröder).
- Add scripts for re3data mining and msc mining ([a2f6093](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/a2f60938b37b5be4fbb980679dc0467165da5bf0) by Jens Bröder).
- Add test data folder and remove data/ from gitignore ([2a1628c](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/2a1628cdd33d5c8eff2d32f73616813fc4e00fb4) by Jens Bröder).
- Add script to automatically prefill a list of repos first test worked for 19/26 ([752a70e](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/752a70e3412d693f4c99f16fae65b35a5e505dd1) by Jens Bröder).
- Add second re3data example ([201f4c9](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/201f4c9c4f90e878160a81db575ccdb6c1ad3197) by Jens Bröder).
- Add authors.txt file ([14f476c](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/14f476c587094cc84d72f4e1e7b3126790773266) by Jens Bröder).
- Add first layout of json-json mappings and tests ([42deb24](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/42deb246d74b54430fffa715edcfe13987655852) by Jens Bröder).
- Add License file ([8a43aa0](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/8a43aa046a5501a746016ff943a03e97f4690862) by Jens Bröder).
- Add further tests for all code, small bug fixes ([4ddb68e](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/4ddb68eb313e9e3dc28685c9f91395c2338e451f) by Jens Bröder).
- Add precommit preferences and related rc files ([609f795](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/609f795baa439bcc1ab764e38d6497bdaad4ba8f) by Jens Bröder).
- Add example scripts to process openaire data for julich datasets and co ([86f0f02](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/86f0f02f139aa77bf2fbd748c9c397dbcc37d442) by Jens Bröder).
- Add functions to calculate a basic score for FAIRnes of metadata records ([ba433ef](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/ba433eff20645e49447dd42f9ee42c655a8dae14) by Jens Bröder).
- Add list of identifier dictionaires for HGF centers for openaire metadata ([8025c18](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/8025c18a60ddd9aa0ec7a88ed78e6e2617b976a4) by Jens Bröder).
- Add header and encoding to some files ([794bdb9](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/794bdb91259831d788f03f2c6b23d916e6b5b82c) by Jens Bröder).
- Add first version of mining goals and research questions ([6391a0c](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/6391a0cc753edd541fa13dc168ba954ad2760733) by broeder).
- Add information on how to execute oai-harvest ([e30d4ea](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/e30d4ead7a7fd7b5613e51460f8e081bcf1513a7) by Jens Bröder).
- Add OAI-harvester example how to list available metadata schemas ([f31338b](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/f31338bcf6a46b8529b6d490ade3dbd98f792ef2) by Jens Bröder).
- Add notebook, scripts and data of a JuelichData mining ([6fb5c04](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/6fb5c047f9098eaee2de63c96f397c017284ab65) by broeder).
- Add gitignore file ([f753242](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/f753242957ea62ff860136b0aaa022adcc7bc8ca) by broeder).

### Fixed

- Fix the queries used to add organizations ([e333e64](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/e333e648ee547f9632e517b2eba216f2f088c513) by Pedro Videgain Barranco).
- fix pipeline issues ([78ae004](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/78ae004aed2fddfb48a626c84322704aa8a12648) by Gabriel Preuß).
- Fix hmc_unhide cli and advance filename logic in converter. ([298ff3b](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/298ff3b7d404606e5501279f2b641eecf6c8063b) by Jens Bröder).
- Fix error in ci yml ([17b1b20](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/17b1b20573a04014da2ebc5f595001f51bb6e637) by Jens Bröder).
- Fix pyproject.toml and add xmljson ([1db29ee](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/1db29eec925058df3d145d9c7f0bed4be2c04475) by Jens Bröder).
- Fix bug in datacite test ([ff05ddc](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/ff05ddc05f02e33f0eadb57eb6d5aded6806ab31) by Jens Bröder).
- Fix issues in MAP_RE3DATA_HMC_REPO. contact jq filter  still needs to be fixed. ([dbbd602](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/dbbd602881dd6969736b934f2cef890a24cd7dbb) by Annika Strupp).
- Fix some issues in MAP_RE3DATA_HMC_REPO crosswalk ([a027128](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/a0271280c3edd69ae64eecc5957f9c73f3e19c70) by Annika Strupp).
- Fix typos in test. ([47e3063](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/47e30637c594a1dbf258199335f896a3fdafe364) by Annika Strupp).

### Changed

- Change gitlab pipeline code that it can be run as a library ([65d6392](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/65d63926d5d26737378279872bfd6d3579306932) by Jens Bröder).

### Removed

- Remove large ror data file from commit ([ea70f78](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/ea70f789c6bc0405dd2f12e9d69e1413370376a7) by Jens Bröder).

### Merged

- Merge branch 'OAI_add_DZNE_fix_others' into 'dev' ([b1b969f](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/b1b969f1a2c268db596e7f25a1a9cb1462ac7574) by Gabriel Preuß).
- Merge branch 'fix_pre-commit_errors_for_release_tag' into 'dev' ([bbdb2c3](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/bbdb2c391c679c6cfce678ad89a9fb9dd22a4dc1) by Jens Bröder).
- Merge branch 'update_oai_config' into 'dev' ([6af951a](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/6af951a37663d10e725daaf81f6fe66d004af794) by Gabriel Preuß).
- Merge branch 'convert_dcxml_to_schemaorgJSONLD' into 'dev' ([b507f05](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/b507f05acbc9ee0703b101a7eac9ae00aa4d4b9a) by Gabriel Preuß).
- Merge branch 'add_oai_harvester' into 'dev' ([181d376](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/181d376ac19afd29b5360826e025bd9b6e89fb22) by Gabriel Preuß).
- Merge branch 'convert_dcxml_to_schemaorgJSONLD' into update_oai_config ([5de7e14](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/5de7e14aaa5f19da68ebe482c6d99bbfff2cbae6) by Gabriel Preuß).
- merge add_oai_harvester branch ([6bf822a](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/6bf822a549b2b37a9b2d59104d22f6c48ea1ce0e) by Gabriel Preuß).
- merge add_oai_harvester ([02f3d25](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/02f3d2534933ba485ce4363cdfe357912a6a4b7f) by Gabriel Preuß).
- Merge branch 'fix-mypy-issue-in-pipeline' into 'dev' ([1e79335](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/1e793359ffc22d8211befcc15e4344bc04603189) by Gabriel Preuß).
- Merge mypi.ini into pyproject.toml and fix type errors ([1d3c87d](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/1d3c87d03c004e24ea8a47e47076967ce8a546e4) by Jens Bröder).
- Merge branch 'main' of gitlab.hzdr.de:hmc/hmc/cct-1-mapping/data_harvesting into main ([af61a38](https://codebase.helmholtz.cloud/hmc/hmc-public/unhide/data_harvesting/commit/af61a3867d810eaa6db03910f45a33b41d849560) by Annika Strupp).
